Debian Bug report logs - #268152
libffi.la: wrong libdir setting

Package: libtool; Maintainer for libtool is Kurt Roeckx <kurt@roeckx.be>; Source for libtool is src:libtool.

Reported by: Goswin von Brederlow <goswin-v-b@web.de>

Date: Thu, 26 Aug 2004 09:03:05 UTC

Severity: important

Tags: upstream

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#268140; Package libffi3-dev. Full text and rfc822 format available.

Acknowledgement sent to Goswin Brederlow <brederlo@informatik.uni-tuebingen.de>:
New Bug report received and forwarded. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Goswin Brederlow <brederlo@informatik.uni-tuebingen.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libffi.la: wrong libdir setting
Date: Thu, 26 Aug 2004 10:51:59 +0200
Package: libffi3-dev
Version: 1:3.4.1-7
Severity: grave
Justification: renders package unusable

Hi,

libffi.la has the following libdir:

libdir='/usr/lib/../lib'

That cuases libtool to add the rpath option when linking against the
library which in turn prevents shlibs to work (since no package
contains /usr/lib/../lib/libffi.so) which in turn miscompiles
e.g. sablevm which in turn causes FTBFS for a lot of java packages.

MfG
	Goswin


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (x86_64)
Kernel: Linux 2.6.5-amd64
Locale: LANG=C, LC_CTYPE=de_DE

Versions of packages libffi3-dev depends on:
ii  gcc-3.4-base                3.4.1-7      The GNU Compiler Collection (base 
ii  libc6-dev                   2.3.2.ds1-16 GNU C Library: Development Librari
ii  libffi3                     1:3.4.1-7    Foreign Function Interface library

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#268140; Package libffi3-dev. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 268140@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Goswin Brederlow <brederlo@informatik.uni-tuebingen.de>, 268140@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#268140: libffi.la: wrong libdir setting
Date: Thu, 26 Aug 2004 11:39:41 +0200
clone 268140 -1
reassign -1 libtool
thanks

then libtool should be fixed. there is no documented requirement that
the path has to be normalized.

Goswin Brederlow writes:
> Package: libffi3-dev
> Version: 1:3.4.1-7
> Severity: grave
> Justification: renders package unusable
> 
> Hi,
> 
> libffi.la has the following libdir:
> 
> libdir='/usr/lib/../lib'
> 
> That cuases libtool to add the rpath option when linking against the
> library which in turn prevents shlibs to work (since no package
> contains /usr/lib/../lib/libffi.so) which in turn miscompiles
> e.g. sablevm which in turn causes FTBFS for a lot of java packages.
> 
> MfG
> 	Goswin
> 
> 
> -- System Information:
> Debian Release: testing/unstable
>   APT prefers unstable
>   APT policy: (500, 'unstable')
> Architecture: i386 (x86_64)
> Kernel: Linux 2.6.5-amd64
> Locale: LANG=C, LC_CTYPE=de_DE
> 
> Versions of packages libffi3-dev depends on:
> ii  gcc-3.4-base                3.4.1-7      The GNU Compiler Collection (base 
> ii  libc6-dev                   2.3.2.ds1-16 GNU C Library: Development Librari
> ii  libffi3                     1:3.4.1-7    Foreign Function Interface library
> 
> -- no debconf information
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org



Bug 268140 cloned as bug 268152. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `libffi3-dev' to `libtool'. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Scott James Remnant <scott@netsplit.com>:
Bug#268152; Package libtool. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Scott James Remnant <scott@netsplit.com>. Full text and rfc822 format available.

Message #19 received at 268152@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 268152@bugs.debian.org
Subject: Re: libffi.la: wrong libdir setting
Date: Sat, 18 Sep 2004 16:04:29 -0700
[Message part 1 (text/plain, inline)]
severity 268152 important
thanks

Given that the bug in libffi3-dev has been resolved, I don't see any
reason that this bug in libtool should still be considered grave.

Thanks,
-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Severity set to `important'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter to 'Goswin von Brederlow <goswin-v-b@web.de>' from 'Goswin Brederlow <brederlo@informatik.uni-tuebingen.de>' Request was from Goswin von Brederlow <goswin-v-b@web.de> to control@bugs.debian.org. (Wed, 14 Apr 2010 12:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#268152; Package libtool. (Sun, 13 May 2012 20:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. (Sun, 13 May 2012 20:48:06 GMT) Full text and rfc822 format available.

Message #30 received at 268152@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: Goswin von Brederlow <goswin-v-b@web.de>, 268152@bugs.debian.org
Subject: Re: libtool path normalization bug (libffi.la: wrong libdir setting)
Date: Sun, 13 May 2012 15:45:43 -0500
(resending to the correct bug.  Sorry for the noise.)
Hi,

In 2004, Matthias Klose wrote:
> Goswin Brederlow writes:

>> libffi.la has the following libdir:
>>
>> libdir='/usr/lib/../lib'
>>
>> That cuases libtool to add the rpath option when linking against the
>> library which in turn prevents shlibs to work (since no package
[...]
> then libtool should be fixed. there is no documented requirement that
> the path has to be normalized.

Sorry for the slow response.  Could you spell this out a little more?
How can I witness this libtool misbehavior for myself?  (The simpler
the testcase, the better, of course.)

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#268152; Package libtool. (Wed, 16 May 2012 09:18:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. (Wed, 16 May 2012 09:18:15 GMT) Full text and rfc822 format available.

Message #35 received at 268152@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Matthias Klose <doko@cs.tu-berlin.de>, Goswin von Brederlow <goswin-v-b@web.de>, 268152@bugs.debian.org
Subject: Re: libtool path normalization bug (libffi.la: wrong libdir setting)
Date: Wed, 16 May 2012 11:16:24 +0200
Jonathan Nieder <jrnieder@gmail.com> writes:

> (resending to the correct bug.  Sorry for the noise.)
> Hi,
>
> In 2004, Matthias Klose wrote:
>> Goswin Brederlow writes:
>
>>> libffi.la has the following libdir:
>>>
>>> libdir='/usr/lib/../lib'
>>>
>>> That cuases libtool to add the rpath option when linking against the
>>> library which in turn prevents shlibs to work (since no package
> [...]
>> then libtool should be fixed. there is no documented requirement that
>> the path has to be normalized.
>
> Sorry for the slow response.  Could you spell this out a little more?
> How can I witness this libtool misbehavior for myself?  (The simpler
> the testcase, the better, of course.)
>
> Thanks,
> Jonathan

After 8 years I have no idea. Try setting the libdir to
'/usr/lib/../lib' in libffi and compile sablevm (or any other lib +
libtool using binary).

MfG
        Goswin




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:14:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.